Show / Hide Table of Contents

# Class RateLimitedException

The exception that is thrown when the user is being rate limited by Discord.

##### Inheritance

System.Object
System.Exception
System.SystemException
System.TimeoutException
RateLimitedException

##### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.ToString()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.Message
System.Exception.Data
System.Exception.InnerException
System.Exception.TargetSite
System.Exception.StackTrace
System.Exception.HelpLink
System.Exception.Source
System.Exception.HResult
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()

###### Namespace: Discord.Net

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class RateLimitedException : TimeoutException, ISerializable, _Exception

### Constructors

| Improve this Doc View Source

#### RateLimitedException(IRequest)

Initializes a new instance of the RateLimitedException class using the `request` sent.

##### Declaration

    public RateLimitedException(IRequest request)

##### Parameters

Type | Name | Description
--- | --- | ---
IRequest | request |

### Properties

| Improve this Doc View Source

#### Request

Gets the request object used to send the request.

##### Declaration

    public IRequest Request { get; }

##### Property Value

Type | Description
--- | ---
IRequest |

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception